/******************************************************************************
 *
 * Copyright (c) 1998,99 by Mindbright Technology AB, Stockholm, Sweden.
 *                 www.mindbright.se, info@mindbright.se
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *****************************************************************************
 * $Author: mats $
 * $Date: 1999/01/10 15:15:36 $
 * $Name: rel0-97 $
 *****************************************************************************/
package mindbright.ssh;

import java.net.*;
import java.io.*;

public interface SSHAuthenticator {
  public String        getUsername(SSHClientUser origin) throws IOException;
  public String        getPassword(SSHClientUser origin) throws IOException;
  public int           getAuthType(SSHClientUser origin);
  public int           getCipher(SSHClientUser origin);
  public SSHRSAKeyFile getIdentityFile(SSHClientUser origin) throws IOException;
  public String        getIdentityPassword(SSHClientUser origin) throws IOException;
}
